/****************************************************************************
 * (c) 2018 softwareentwicklung-als-prozess.de
 * Funktionalitaet:
 * Vibration ueberwachen
 ***************************************************************************/
// Includes -----------------------------------------------------------------
#include <arduino.h>
#include "vibe.h"

// Defines ------------------------------------------------------------------
// vorlaeufige definitionen
#define NO_VIBES 10

// Variablen ----------------------------------------------------------------
// interne Prototypen -------------------------------------------------------
static int SystemVibe(void);

// Funktionen ---------------------------------------------------------------
VibeStatus SystemVibeUeberwachung(void)
{
  int vibes = 0;
  VibeStatus retval = keine;

  vibes = SystemVibe();
  if (vibes < NO_VIBES)
  {
    retval = keine;
  }
  else
  {
    retval = vibration;
  }
  return(retval);
}

static int SystemVibe(void)
{
  int vib = 0;
  int i = 0;

  while(i < 10) // auf bewegung warten bzw. einschwingen
  {
    vib += analogRead(A2);
    i++;
    delay(10);
  }
  return(vib/10);
}
